# 🗝 i3lock oku lahodící

V tomtu článku si upravíme i3lock z nudné obrazovky do hezčí, a nastavíme si novou klávesovou zkratku pro i3lock.

![](../img/i3lock.jpg)

Ve výchozím nastavení, pokud chcete zamknout systém, budete muset provést následující příkaz: 

````
i3lock
````
Aby byla zamykací obrazovka krásná, musíte použít balík:

````
i3lock-color
````
Nejprve však musíte odstranit stávající **i3lock** protože bude v rozporu s **i3lock-color**: 

````
sudo pacman -R i3lock
````

Po dokončení odinstalace můžete nainstalovat **i3lock-color** pomocí pomocníka AUR: 

````
yay i3lock-color
````

Jakmile skončíte s instalací, vytvořte nový adresář a vytvořte nový soubor pro uložení konfigurace pro zamykací obrazovku: 

````
mkdir ~/.config/scripts && nano ~/.config/scripts/lock
````

A vložením následujícího obsahu souboru definujte vzhled zamykací obrazovky (ten si samozřejmě můžete upravit dle vašich preferencí a kreativitě se meze nekladou): 

````
#!/bin/sh

BLANK='#00000000'
CLEAR='#ffffff22'
DEFAULT='#00897bE6'
TEXT='#00897bE6'
WRONG='#880000bb'
VERIFYING='#00564dE6'

i3lock \
--insidever-color=$CLEAR     \
--ringver-color=$VERIFYING   \
\
--insidewrong-color=$CLEAR   \
--ringwrong-color=$WRONG     \
\
--inside-color=$BLANK        \
--ring-color=$DEFAULT        \
--line-color=$BLANK          \
--separator-color=$DEFAULT   \
\
--verif-color=$TEXT          \
--wrong-color=$TEXT          \
--time-color=$TEXT           \
--date-color=$TEXT           \
--layout-color=$TEXT         \
--keyhl-color=$WRONG         \
--bshl-color=$WRONG          \
\
--screen 1                   \
--blur 9                     \
--clock                      \
--indicator                  \
--time-str="%H:%M:%S"        \
--date-str="%A, %Y-%m-%d"       \
--keylayout 1                \
````

Nyní udělejte tento soubor spustitelným pomocí příkazu chmod : 

````
sudo chmod +x .config/scripts/lock
````
Dále vám zde ukážu, jak můžete použít vlastní klávesovou zkratku pro zamykací obrazovku.

Nejprve otevřete konfigurační soubor: 

````
nano ~/.config/i3/config
````

Přesuneme se na konec configuračmího souboru pomocí klávesové zkratky **Alt + /** a vložíme nakonec následující řádky: 

````
# Shortcut for Lockscreen
bindsym $mod+l exec /home/$USER/.config/scripts/lock
````

Soubor zapíšeme a uložíme.

Těď pomocí klávesové zkratky **mod+l ( u většiny to bude klávesa windows+l)** můžeme zkusit uzamknout obrazovku a přihlásit se zpět přihlašovacím heslem.

Kdyby vám to hned nešlo ještě použíte zkratku **shift+mod+r**.